GNU bug report logs - #37355
26.1; CTL rendering for some indic characters fails

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Joshua Immanuel <josh@HIDDEN>; dated Mon, 9 Sep 2019 14:38:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
bug Marked as fixed in versions 27.1. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 37355 <at> debbugs.gnu.org:


Received: (at 37355) by debbugs.gnu.org; 9 Sep 2019 16:28:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 09 12:28:10 2019
Received: from localhost ([127.0.0.1]:40480 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i7MWQ-0002Zh-Ei
	for submit <at> debbugs.gnu.org; Mon, 09 Sep 2019 12:28:10 -0400
Received: from mail-pf1-f177.google.com ([209.85.210.177]:44208)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <josh@HIDDEN>) id 1i7MUw-0002Vz-GQ
 for 37355 <at> debbugs.gnu.org; Mon, 09 Sep 2019 12:26:39 -0400
Received: by mail-pf1-f177.google.com with SMTP id q21so9459674pfn.11
 for <37355 <at> debbugs.gnu.org>; Mon, 09 Sep 2019 09:26:38 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hipro.co.in; s=google;
 h=message-id:subject:from:to:cc:date:in-reply-to:references
 :user-agent:mime-version;
 bh=RJj9H4TgeJSTzY1IL/8cVuFlI6riHkrMEf5ktwttbh8=;
 b=A0C5c49fVjtWloAURJPUR0qm74xRKdNKdUOJm/SwO6N4V90NV8QmmD1to8FxrhtH47
 R2ZH+VIsKS0c6HwzWYBLUsx0kV3QOfIJDjcguQ1hqV0xfD3hBSw2w5RNE3rHPWwbb20U
 h4YqNiGHqwEv6KMoI1WTuA0BhMKERs3LNHPLM=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:message-id:subject:from:to:cc:date:in-reply-to
 :references:user-agent:mime-version;
 bh=RJj9H4TgeJSTzY1IL/8cVuFlI6riHkrMEf5ktwttbh8=;
 b=RYp6l1cI98D15Bv7BnhvWTA22vJXqzt62KjN0vHYDWzz6KfHhuecr+1q7kHIAIw1tF
 5iva62lzEd/fgGc3q6DLiAtPidZTZm5OUB7YNhmttNFLSlc/K1uAaehG6EqVDVcj1aud
 U0EN6LanDPALcIkoMjl6mePl3ZXsoE+VNLazDA+28N5KsODT9J2xmFnr2HZo5CgwCfFf
 kzr9gyaJxupNQy1wbGLw4fCHPlq8vy4J1fQdbnkxSHIYhXxRBEQNzO9P2c1XQJPPOwxd
 lLdsShqqhNNPMhsYsWZ7Kbbc0iBLuGoUTCfqnv5xdHYVQTBLsUYT4HTXPCjc/QkpPQ9a
 14bw==
X-Gm-Message-State: APjAAAXLCsbffiOCbt9JL3BYmJVTRWx5V5kJO9rUSUXtS0ovrlCh2yFw
 286VLL2PPcxrDY5f6xV3Sa9hyw==
X-Google-Smtp-Source: APXvYqz+047xQORi5Uyh8fjQUVPFVQMMw6XZ1IurQfYvip6dkJ+9H37SrAvLbFmUJNWPjXu+uQStAQ==
X-Received: by 2002:a65:6795:: with SMTP id e21mr2513842pgr.428.1568046392547; 
 Mon, 09 Sep 2019 09:26:32 -0700 (PDT)
Received: from babel ([49.207.135.86])
 by smtp.gmail.com with ESMTPSA id m9sm47685pjf.11.2019.09.09.09.26.30
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 09 Sep 2019 09:26:31 -0700 (PDT)
Message-ID: <6c641da8090eb7390f3bcca12b92799822e2fbce.camel@HIDDEN>
Subject: Re: bug#37355: 26.1; CTL rendering for some indic characters fails
From: Joshua Immanuel <josh@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Date: Mon, 09 Sep 2019 21:56:26 +0530
In-Reply-To: <83h85l314x.fsf@HIDDEN>
References: <95265ffe72aa6cc3991ccbb46729fcb3dc1c6d72.camel@HIDDEN>
 <83h85l314x.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha1";
 protocol="application/pgp-signature"; 
 boundary="=-8qC16xqWQtl/P8PPNa6c"
User-Agent: Evolution 3.30.5-1.1 
MIME-Version: 1.0
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 37355
X-Mailman-Approved-At: Mon, 09 Sep 2019 12:28:08 -0400
Cc: 37355 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)


--=-8qC16xqWQtl/P8PPNa6c
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

On Mon, 2019-09-09 at 19:06 +0300, Eli Zaretskii wrote:
> We don't expect to make any further releases from the emacs-26
> branch, so backporting those changes would be pointless.
>=20
> May I suggest that you continue using Emacs 27?  We added HarfBuzz
> support because we believe it is developed much more actively that
> m17n-db, and thus will generally produce better results in scripts
> that require complex shaping.

Okay. Will switch to emacs-27.

Thanks.
--=20
Joshua Immanuel
HiPro IT Solutions Private Limited
http://hipro.co.in


--=-8qC16xqWQtl/P8PPNa6c
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iF0EABECAB0WIQTg8PgvgIvOriv3Q8JbDzlfC5IUwgUCXXZ9MgAKCRBbDzlfC5IU
whzQAJ46b0F0TppLwWbkth00RAx9ZnuNLQCgoahfnIhZgkxM2WxU8U9Pm6vi9rk=
=spjU
-----END PGP SIGNATURE-----

--=-8qC16xqWQtl/P8PPNa6c--





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37355; Package emacs. Full text available.

Message received at 37355 <at> debbugs.gnu.org:


Received: (at 37355) by debbugs.gnu.org; 9 Sep 2019 16:06:27 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 09 12:06:27 2019
Received: from localhost ([127.0.0.1]:40445 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i7MBP-0001ut-4o
	for submit <at> debbugs.gnu.org; Mon, 09 Sep 2019 12:06:27 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52612)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1i7MBN-0001uR-5f
 for 37355 <at> debbugs.gnu.org; Mon, 09 Sep 2019 12:06:26 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37916)
 by eggs.gnu.org with esmtp (Exim 4.71) (envelope-from <eliz@HIDDEN>)
 id 1i7MBH-00068o-QE; Mon, 09 Sep 2019 12:06:19 -0400
Received: from [176.228.60.248] (port=4278 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1i7MBF-0005v8-Ft; Mon, 09 Sep 2019 12:06:18 -0400
Date: Mon, 09 Sep 2019 19:06:22 +0300
Message-Id: <83h85l314x.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Joshua Immanuel <josh@HIDDEN>
In-reply-to: <95265ffe72aa6cc3991ccbb46729fcb3dc1c6d72.camel@HIDDEN>
 (message from Joshua Immanuel on Mon, 09 Sep 2019 14:40:17 +0530)
Subject: Re: bug#37355: 26.1; CTL rendering for some indic characters fails
References: <95265ffe72aa6cc3991ccbb46729fcb3dc1c6d72.camel@HIDDEN>
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 37355
Cc: 37355 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Joshua Immanuel <josh@HIDDEN>
> Date: Mon, 09 Sep 2019 14:40:17 +0530
> 
> However, this problem is not present in the latest HEAD. So, doing a
> "git bisect" on the repository, I found that the following commit is
> the one which actually fixed the problem.
> 
> "64767008f70af88d193d36eb6d2c27e4bc95ea8e Support
> font driver supersession"
> 
> Is this fix relevant to emacs-26. Can this be backported to fix this
> issue?

You can try backporting it, although I don't expect it to be easy,
because that commit was done after adding HarfBuzz support, which
required quite a few changes in font backend machinery all over.

We don't expect to make any further releases from the emacs-26 branch,
so backporting those changes would be pointless.

May I suggest that you continue using Emacs 27?  We added HarfBuzz
support because we believe it is developed much more actively that
m17n-db, and thus will generally produce better results in scripts
that require complex shaping.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#37355; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Sep 2019 14:37:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 09 10:37:19 2019
Received: from localhost ([127.0.0.1]:40399 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1i7Kn9-0007zM-5H
	for submit <at> debbugs.gnu.org; Mon, 09 Sep 2019 10:37:19 -0400
Received: from lists.gnu.org ([209.51.188.17]:44018)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <josh@HIDDEN>) id 1i7Fgq-0005om-AR
 for submit <at> debbugs.gnu.org; Mon, 09 Sep 2019 05:10:28 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:35670)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <josh@HIDDEN>) id 1i7Fgo-00063X-HO
 for bug-gnu-emacs@HIDDEN; Mon, 09 Sep 2019 05:10:28 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <josh@HIDDEN>) id 1i7Fgn-0000Ee-0N
 for bug-gnu-emacs@HIDDEN; Mon, 09 Sep 2019 05:10:26 -0400
Received: from mail-pf1-x433.google.com ([2607:f8b0:4864:20::433]:43639)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_128_CBC_SHA1:16)
 (Exim 4.71) (envelope-from <josh@HIDDEN>) id 1i7Fgm-0000Dk-Km
 for bug-gnu-emacs@HIDDEN; Mon, 09 Sep 2019 05:10:24 -0400
Received: by mail-pf1-x433.google.com with SMTP id d15so8738229pfo.10
 for <bug-gnu-emacs@HIDDEN>; Mon, 09 Sep 2019 02:10:23 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=hipro.co.in; s=google;
 h=message-id:subject:from:to:date:user-agent:mime-version;
 bh=dAXfw9SdRcbCZ9Y7rUqhGeDJ5ZutAVi4K0xOdJsnD3c=;
 b=YdhQ4kooh6Hkbi1R/3tFAQhi7tqBiLXAEr9W5qt7TucGTs0CW5zaXczUDU0nSKQ3Xk
 9KyPKXnQ/ceg93NyZhnZObD0ThjeNTa61I5Q0zTJu8HS6LJCetDFYTNAlU1pHM5otNAU
 gcPrGsj2w0bgWvMkvWigKmQzYJ+4mfyasv5wM=
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:message-id:subject:from:to:date:user-agent
 :mime-version;
 bh=dAXfw9SdRcbCZ9Y7rUqhGeDJ5ZutAVi4K0xOdJsnD3c=;
 b=OV3A/G2h64qqaxmKXJOVdJK3yMgRSALU15aw/Ijju8zs4OVjE5hRzcnL4O6ZaSSKtk
 9yYD85vfHJQxhQ5ceZ+0T1K/3Now+MBHlBIX4wCA9TW9Ku46UzHY9DM49R9zI5q9DrMd
 +/1lv+vyyd0ddCMJApA6l4OqKgszvTZYB9x6C/Hh6fPAg/Y0l7+C+jD+rwk83fYafLak
 GvPRoC3X/jTxc6xwri3iXl345waoZ9w4RtD37C0s5p0C/0Jb2IHjVj/mjaNFhKrvOtD1
 jzdGlGTaeQiU3HdpSyRYcM+dixtNdZkPC2AY3caZEHYynbL4d3xkArvXi9HAb9zbcy9m
 g5hg==
X-Gm-Message-State: APjAAAWweYTxFyoUeuNDXTONsYHnhSCKK+Ec97256QNYqKc6yylHFUQX
 uAD7Wzj3dFLFWccGHc2aV7gvY4ShT/FblA==
X-Google-Smtp-Source: APXvYqyU0vk9iPd0nG5kDGvdCTiZgzwcnvacdjH9GNIdX1t2D1BWUIiaDYfc+Y4MNRVfvKrU7M94Yg==
X-Received: by 2002:a62:d143:: with SMTP id t3mr26804568pfl.213.1568020222154; 
 Mon, 09 Sep 2019 02:10:22 -0700 (PDT)
Received: from babel ([1.23.23.197])
 by smtp.gmail.com with ESMTPSA id s1sm24647184pjs.31.2019.09.09.02.10.20
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 09 Sep 2019 02:10:21 -0700 (PDT)
Message-ID: <95265ffe72aa6cc3991ccbb46729fcb3dc1c6d72.camel@HIDDEN>
Subject: 26.1; CTL rendering for some indic characters fails
From: Joshua Immanuel <josh@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Date: Mon, 09 Sep 2019 14:40:17 +0530
Content-Type: multipart/signed; micalg="pgp-sha1";
 protocol="application/pgp-signature"; 
 boundary="=-SJrDEZ7UrFqXTPcPBnVI"
User-Agent: Evolution 3.30.5-1.1 
MIME-Version: 1.0
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
 recognized.
X-Received-From: 2607:f8b0:4864:20::433
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Mon, 09 Sep 2019 10:37:17 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)


--=-SJrDEZ7UrFqXTPcPBnVI
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable


After upgrading to Debian Buster, CTL rendering seems to be broken for
some characters in Tamil. I have installed fonts-lohit-taml package for
font support.

To see this problem, we can do a "C-x 8 RET" and try auto completing
"TAMIL VOWEL SIGN" in mini buffer. In this, we can notice empty
characters instead of actuals for "TAMIL VOWEL SIGN AU", "TAMIL VOWEL
SIGN O" and "TAMIL VOWEL SIGN OO". So, while typing these characters it
makes the previous character disappear.

I thought, this could be a m17n-db issue and tried building
emacs-27.0.50 from [1]. But, that too had the same issue inspite of the
fact that it uses HaffBuzz.=20

However, this problem is not present in the latest HEAD. So, doing a
"git bisect" on the repository, I found that the following commit is
the one which actually fixed the problem.

"64767008f70af88d193d36eb6d2c27e4bc95ea8e Support
font driver supersession"

Is this fix relevant to emacs-26. Can this be backported to fix this
issue?


1: https://alpha.gnu.org/gnu/emacs/pretest/windows/emacs-27/


In GNU Emacs 26.1 (build 2, x86_64-pc-linux-gnu, GTK+ Version 3.24.4)
 of 2019-02-03, modified by Debian built on zam904
Windowing system distributor 'The X.Org Foundation', version
11.0.12004000
System Description:	Debian GNU/Linux 10 (buster)

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list...

Configured using:
 'configure --build x86_64-linux-gnu --prefix=3D/usr
 --sharedstatedir=3D/var/lib --libexecdir=3D/usr/lib
 --localstatedir=3D/var/lib --infodir=3D/usr/share/info
 --mandir=3D/usr/share/man --enable-libsystemd --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/26.1/site-
lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.1/site-
lisp:/usr/share/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --with-mailutils --build
 x86_64-linux-gnu --prefix=3D/usr --sharedstatedir=3D/var/lib
 --libexecdir=3D/usr/lib --localstatedir=3D/var/lib
 --infodir=3D/usr/share/info --mandir=3D/usr/share/man --enable-libsystemd
 --with-pop=3Dyes
 --enable-locallisppath=3D/etc/emacs:/usr/local/share/emacs/26.1/site-
lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/26.1/site-
lisp:/usr/share/emacs/site-lisp
 --with-sound=3Dalsa --without-gconf --with-mailutils --with-x=3Dyes
 --with-x-toolkit=3Dgtk3 --with-toolkit-scroll-bars 'CFLAGS=3D-g -O2
 -fdebug-prefix-map=3D/build/emacs-26.1+1=3D. -fstack-protector-strong
 -Wformat -Werror=3Dformat-security -Wall' 'CPPFLAGS=3D-Wdate-time
 -D_FORTIFY_SOURCE=3D2' LDFLAGS=3D-Wl,-z,relro'

Configured features:
XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GSETTINGS NOTIFY
ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS GTK3 X11 THREADS LIBSYSTEMD LCMS2

Important settings:
  value of $LANG: en_IN
  locale-coding-system: iso-latin-1-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message rmc puny seq byte-opt gv
bytecomp byte-compile cconv cl-loaddefs cl-lib dired dired-loaddefs
format-spec rfc822 mml easymenu mml-sec password-cache epa derived epg
epg-config gnus-util rmail rmail-loaddefs mm-decode mm-bodies mm-encode
mail-parse rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils elec-pair time-date
mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
dnd fontset image regexp-opt fringe tabulated-list replace newcomment
text-mode elisp-mode lisp-mode prog-mode register page menu-bar
rfn-eshadow isearch timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core term/tty-colors frame cl-generic cham
georgian
utf-8-lang misc-lang vietnamese tibetan thai tai-viet lao korean
japanese eucjp-ms cp51932 hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese composite charscript charprop
case-table epa-hook jka-cmpr-hook help simple abbrev obarray minibuffer
cl-preloaded nadvice loaddefs button faces cus-face macroexp files
text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote dbusbind inotify lcms2
dynamic-setting system-font-setting font-render-setting move-toolbar
gtk
x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 95517 5617)
 (symbols 48 20366 1)
 (miscs 40 46 94)
 (strings 32 28331 1460)
 (string-bytes 1 743064)
 (vectors 16 14638)
 (vector-slots 8 496162 7960)
 (floats 8 50 67)
 (intervals 56 362 243)
 (buffers 992 12))

--=20
Joshua Immanuel
HiPro IT Solutions Private Limited
http://hipro.co.in


--=-SJrDEZ7UrFqXTPcPBnVI
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iF0EABECAB0WIQTg8PgvgIvOriv3Q8JbDzlfC5IUwgUCXXYW+QAKCRBbDzlfC5IU
wjnDAJ907/a8UMzT1xNrH2pO5goji6xUHACfU9TqnvNjZhhPhpIi8k5wj0r+YUw=
=XdIU
-----END PGP SIGNATURE-----

--=-SJrDEZ7UrFqXTPcPBnVI--





Acknowledgement sent to Joshua Immanuel <josh@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#37355; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 9 Sep 2019 17:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.